From 46adcd7b148b4cc929713ec6bb65e28ac25daa5c Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Tue, 27 Dec 2022 20:43:12 +0700
Subject: [PATCH 1/2] Makefile: add PPC support

---
 Makefile | 21 ++++++++++++++++-----
 1 file changed, 16 insertions(+), 5 deletions(-)

diff --git a/Makefile b/Makefile
index bb05c00f..9e624bf1 100644
--- a/Makefile
+++ b/Makefile
@@ -66,6 +66,7 @@ YICES_VERSION = $(MAJOR).$(MINOR).$(PATCH_LEVEL)
 #
 ARCH=$(shell ./config.sub `./config.guess`)
 POSIXOS=$(shell ./autoconf/os)
+PLATFORM=$(shell uname -p)
 
 ifeq (,$(POSIXOS))
   $(error "Problem running ./autoconf/os")
@@ -150,12 +151,22 @@ ifneq ($(OPTION),)
     endif
   else
   ifeq ($(POSIXOS),darwin)
-    ifeq ($(OPTION),64bits)
-      newarch=$(subst i386,x86_64,$(ARCH))
+    ifeq ($(PLATFORM),powerpc)
+      ifeq ($(OPTION),64bits)
+        newarch=$(subst powerpc,powerpc64,$(ARCH))
+      else
+      ifeq ($(OPTION),32bits)
+        newarch=$(subst powerpc64,powerpc,$(ARCH))
+      endif
+      endif
     else
-    ifeq ($(OPTION),32bits)
-      newarch=$(subst x86_64,i386,$(ARCH))
-    endif
+      ifeq ($(OPTION),64bits)
+        newarch=$(subst i386,x86_64,$(ARCH))
+      else
+      ifeq ($(OPTION),32bits)
+        newarch=$(subst x86_64,i386,$(ARCH))
+      endif
+      endif
     endif
   else
   ifeq ($(POSIXOS),cygwin)
-- 
2.37.3

